// Copyright (c) 1999 Quadralay Corporation.  All rights reserved.
//
// The information in this file is confidential and proprietary to
// Quadralay Corporation.  Unauthorized use or duplication is
// strictly prohibited.

hsmod[hsmod.length]="understand_ada_html";

var wwhtop = foldersTree;

var wwh851=new Folder("Introduction", "intro.htm#582316");
wwhtop.addChild(wwh851);

var wwh853=new Folder("Introduction", "intro2a.htm#554938");
wwh851.addChild(wwh853);

wwh853.addChild(new Item("What is Understand for Ada?", "intro2a.htm#582642"));
wwh853.addChild(new Item("Ada Versions Supported", "intro2a.htm#590208"));
wwh853.addChild(new Item("Use the Server Mode To Integrate With Your IDE", "intro2a.htm#585552"));
wwh853.addChild(new Item("For those who don't like to read manuals", "intro2a.htm#590289"));
var wwh863=new Folder("Understand's Parts and Terminology", "intro3a.htm#587390");
wwh851.addChild(wwh863);

wwh863.addChild(new Item("Parts", "intro3a.htm#587468"));
wwh863.addChild(new Item("Terminology", "intro3a.htm#587711"));
wwh851.addChild(new Item("Right Click Menus Are Everywhere", "intro4.htm#589434"));
var wwh871=new Folder("What Information Does Understand for Ada Provide?", "intro5a.htm#587396");
wwh851.addChild(wwh871);

wwh871.addChild(new Item("Views of Your Project", "intro5a.htm#583072"));
var wwh875=new Folder("Quickly Navigate and Find Things in Your Source", "intro6a.htm#590921");
wwh851.addChild(wwh875);

wwh875.addChild(new Item("Project Window", "intro6a.htm#590922"));
wwh875.addChild(new Item("Locator Window", "intro6a.htm#590924"));
wwh875.addChild(new Item("Using HyperGrep to Explore", "intro6a.htm#590931"));
wwh851.addChild(new Item("Information Browser Shows It All", "intro7a.htm#583508"));
wwh851.addChild(new Item("A Source Editor that Provides Information Wherever You Look", "intro8a.htm#583893"));
wwh851.addChild(new Item("Hierarchy views show multi-level relationships", "intro9a.htm#589675"));
wwh851.addChild(new Item("Structure Views Quickly Show Structure and Relations", "intro10a.htm#589718"));
wwh851.addChild(new Item("ASCII and HTML Reports", "intro11a.htm#583954"));
var wwh893=new Folder("Analyzing Your Source Code", "analyze.htm#582316");
wwhtop.addChild(wwh893);

wwh893.addChild(new Item("Introduction", "analyze.htm#582317"));
var wwh897=new Folder("Analyzing Your Source Code", "analyze2.htm#585551");
wwh893.addChild(wwh897);

wwh897.addChild(new Item("Analyzing Your Code", "analyze2.htm#589973"));
wwh897.addChild(new Item("The Understand for Ada Repository", "analyze2.htm#585568"));
var wwh903=new Folder("Creating New Projects", "analyze3.htm#591590");
wwh893.addChild(wwh903);

wwh903.addChild(new Item("Ada 83, 95, or both?", "analyze3.htm#590104"));
wwh903.addChild(new Item("Adding Source Code with the GUI", "analyze3.htm#590410"));
wwh903.addChild(new Item("Options Tab", "analyze3.htm#590529"));
wwh903.addChild(new Item("Display Tab", "analyze3.htm#590744"));
wwh893.addChild(new Item("Using your own Ada Standard Database", "analyz4a.htm#585889"));
var wwh915=new Folder("Exploring Your Code with Understand for Ada", "ib.htm#608773");
wwhtop.addChild(wwh915);

wwh915.addChild(new Item("Introduction", "ib.htm#608774"));
wwh915.addChild(new Item("PLEASE RIGHT CLICK", "ib2a.htm#620134"));
var wwh921=new Folder("Various Windows Explained...", "ib3a.htm#621612");
wwh915.addChild(wwh921);

wwh921.addChild(new Item(" Project Window", "ib3a.htm#588094"));
wwh921.addChild(new Item("Filter Area", "ib3a.htm#609837"));
wwh921.addChild(new Item("Root Filters", "ib3a.htm#643188"));
wwh921.addChild(new Item("Tabs or Pulldown", "ib3a.htm#644436"));
wwh921.addChild(new Item("Information Browser", "ib3a.htm#608870"));
wwh921.addChild(new Item("Locator Window", "ib3a.htm#627219"));
wwh921.addChild(new Item("Hyper Grep", "ib3a.htm#645845"));
wwh921.addChild(new Item("Hierarchy Browser", "ib3a.htm#622915"));
wwh921.addChild(new Item("Declaration Browser", "ib3a.htm#588196"));
var wwh941=new Folder("Information Browser", "ib4.htm#616382");
wwh915.addChild(wwh941);

wwh941.addChild(new Item("Drilling Down A Relationship", "ib4.htm#616608"));
wwh941.addChild(new Item("Drilling Down Efficiently", "ib4.htm#616946"));
wwh941.addChild(new Item("Sharing Information Browser Info (Printing and Copying/Pasting", "ib4.htm#648887"));
wwh941.addChild(new Item("Visiting Source Code", "ib4.htm#627618"));
wwh941.addChild(new Item("Right Click Menu Source Visiting", "ib4.htm#627656"));
wwh941.addChild(new Item("One Click Visiting References", "ib4.htm#629965"));
wwh941.addChild(new Item("Entity History", "ib4.htm#630791"));
var wwh957=new Folder("Graphical View Browsers", "ib5a.htm#630793");
wwh915.addChild(wwh957);

wwh957.addChild(new Item("Launching Graphic Views", "ib5a.htm#631046"));
wwh957.addChild(new Item("General Rules for Using the Graphical Browsers", "ib5a.htm#631067"));
wwh957.addChild(new Item("Reuse Checkbox", "ib5a.htm#631504"));
wwh957.addChild(new Item("Graphical Browser History", "ib5a.htm#634021"));
wwh957.addChild(new Item("Graphic Hierarchical Views Available", "ib5a.htm#647839"));
wwh957.addChild(new Item("Graphic Declaration Views Available", "ib5a.htm#647848"));
var wwh971=new Folder("Controlling Graphics Layout", "ib6.htm#640341");
wwh915.addChild(wwh971);

wwh971.addChild(new Item("Scale Menu", "ib6.htm#589103"));
wwh971.addChild(new Item("Text Menu", "ib6.htm#589116"));
wwh971.addChild(new Item("Names Menu", "ib6.htm#589215"));
wwh971.addChild(new Item("Layout Menu", "ib6.htm#641583"));
wwh971.addChild(new Item("Level", "ib6.htm#648324"));
wwh971.addChild(new Item("Parameters", "ib6.htm#648372"));
wwh971.addChild(new Item("Called By", "ib6.htm#648675"));
wwh971.addChild(new Item("Invocations", "ib6.htm#589458"));
wwh971.addChild(new Item("Withs", "ib6.htm#589503"));
wwh971.addChild(new Item("With Bys", "ib6.htm#589547"));
var wwh993=new Folder("Printing Graphical Views", "ib7a.htm#589651");
wwh915.addChild(wwh993);

wwh993.addChild(new Item("Shrink to Fit Printing", "ib7a.htm#589086"));
wwh993.addChild(new Item("Poster Printing", "ib7a.htm#589088"));
wwh993.addChild(new Item("Configuring Poster Printouts", "ib7a.htm#589789"));
wwh993.addChild(new Item("Printing on UNIX machines", "ib7a.htm#589090"));
var wwh1003=new Folder("Editing Your Source Code", "editor.htm#588042");
wwhtop.addChild(wwh1003);

var wwh1005=new Folder("Source Code Editor", "editor2a.htm#589652");
wwh1003.addChild(wwh1005);

wwh1005.addChild(new Item("Status Line", "editor2a.htm#610451"));
wwh1005.addChild(new Item("Status Icons", "editor2a.htm#609781"));
wwh1003.addChild(new Item("Colorizing Source Views", "editor3.htm#607913"));
var wwh1013=new Folder("String Searching", "editor4.htm#605160");
wwh1003.addChild(wwh1013);

wwh1013.addChild(new Item("String Search and Replaceing", "editor4.htm#611757"));
wwh1013.addChild(new Item("Go To Line...", "editor4.htm#605174"));
wwh1013.addChild(new Item("Line Numbers", "editor4.htm#610073"));
wwh1013.addChild(new Item("Selecting and Copy Text", "editor4.htm#605127"));
wwh1003.addChild(new Item("Key Mappings", "editor5a.htm#610779"));
var wwh1025=new Folder("Other Features", "editor6a.htm#610954");
wwh1003.addChild(wwh1025);

wwh1025.addChild(new Item("Bracket Matching", "editor6a.htm#611656"));
wwh1025.addChild(new Item("Printing Source Files", "editor6a.htm#589974"));
wwh1025.addChild(new Item("File Display Options", "editor6a.htm#610916"));
var wwh1033=new Folder("Searching Your Source", "searchin.htm#588042");
wwhtop.addChild(wwh1033);

wwh1033.addChild(new Item("Introduction", "searchin.htm#588043"));
wwh1033.addChild(new Item("Searching - an Overview", "search2a.htm#588418"));
var wwh1039=new Folder("Locator Window - Find or Browse Entities", "search3a.htm#613900");
wwh1033.addChild(wwh1039);

wwh1039.addChild(new Item("", "search3a.htm#588421"));
wwh1039.addChild(new Item("Filter Dialog Window", "search3a.htm#614923"));
wwh1039.addChild(new Item(" Right-Click Menus", "search3a.htm#594036"));
wwh1039.addChild(new Item("Column Headers", "search3a.htm#611578"));
wwh1039.addChild(new Item("Sorting Columns", "search3a.htm#594138"));
wwh1039.addChild(new Item("Resizing of Columns", "search3a.htm#614137"));
wwh1039.addChild(new Item("Long versus Short Names", "search3a.htm#614130"));
wwh1039.addChild(new Item("Hiding and Re-ordering Columns", "search3a.htm#615257"));
wwh1039.addChild(new Item("Filtering", "search3a.htm#594258"));
wwh1039.addChild(new Item("Filter By Selection", "search3a.htm#612718"));
wwh1039.addChild(new Item("Manual Filtering", "search3a.htm#612746"));
wwh1039.addChild(new Item("Manual Filter Design", "search3a.htm#612795"));
wwh1039.addChild(new Item("Regular Expressions", "search3a.htm#614051"));
wwh1039.addChild(new Item("Removing Filters", "search3a.htm#614117"));
var wwh1069=new Folder("Using Hyper Grep to Find Things", "searchi4.htm#613778");
wwh1033.addChild(wwh1069);

wwh1069.addChild(new Item("Controlling Searches", "searchi4.htm#614408"));
wwh1069.addChild(new Item("Search Results", "searchi4.htm#614620"));
var wwh1075=new Folder("Text and HTML Reports", "report.htm#588042");
wwhtop.addChild(wwh1075);

wwh1075.addChild(new Item("Text and HTML Reports", "report.htm#588043"));
var wwh1079=new Folder("Analysis and Quality Reports Overview", "report2.htm#595299");
wwh1075.addChild(wwh1079);

wwh1079.addChild(new Item("Output Formats", "report2.htm#590273"));
wwh1079.addChild(new Item("Report File Naming Conventions", "report2.htm#597276"));
wwh1079.addChild(new Item("Searchable Entity Index", "report2.htm#597769"));
wwh1079.addChild(new Item("Generating Reports from the Command Line", "report2.htm#597822"));
var wwh1089=new Folder("Cross Reference Reports", "report3.htm#591918");
wwh1075.addChild(wwh1089);

wwh1089.addChild(new Item("Data Dictionary Report", "report3.htm#590421"));
wwh1089.addChild(new Item("Program Unit Cross Reference Report", "report3.htm#590327"));
wwh1089.addChild(new Item("Exception Cross Reference Report", "report3.htm#593778"));
wwh1089.addChild(new Item("Object Cross Reference Report", "report3.htm#593775"));
wwh1089.addChild(new Item("Type Cross Reference Report", "report3.htm#590332"));
wwh1089.addChild(new Item("Interrupt Cross Refrence Report", "report3.htm#592699"));
var wwh1103=new Folder("Structure Reports", "report4.htm#592383");
wwh1075.addChild(wwh1103);

wwh1103.addChild(new Item("Declaration Tree", "report4.htm#590333"));
wwh1103.addChild(new Item("Invocation Tree Report", "report4.htm#590374"));
wwh1103.addChild(new Item("Simple Invocation Tree Report", "report4.htm#600190"));
wwh1103.addChild(new Item("With Report", "report4.htm#592660"));
wwh1103.addChild(new Item("Generic Instantiation Report", "report4.htm#592714"));
wwh1103.addChild(new Item("Renames Report", "report4.htm#590343"));
var wwh1117=new Folder("Quality Reports", "report5.htm#592774");
wwh1075.addChild(wwh1117);

wwh1117.addChild(new Item("", "report5.htm#592827"));
wwh1117.addChild(new Item(" Program Unit Complexity Report", "report5.htm#592790"));
wwh1117.addChild(new Item("Program Unit Metrics Report", "report5.htm#593247"));
wwh1117.addChild(new Item("Program Unit Inclusive Metrics Report", "report5.htm#593101"));
wwh1117.addChild(new Item("File Metrics Report", "report5.htm#593170"));
wwh1117.addChild(new Item("Unused Object Report", "report5.htm#590345"));
wwh1117.addChild(new Item("Unused Type Report", "report5.htm#590346"));
wwh1117.addChild(new Item("Unused Program Unit Report", "report5.htm#590387"));
wwh1117.addChild(new Item("Withs Not Needed Report", "report5.htm#590388"));
wwh1117.addChild(new Item("Exporting Project Metrics Info", "report5.htm#600358"));
var wwh1139=new Folder("Using External Editors and Other Tools", "tools.htm#581707");
wwhtop.addChild(wwh1139);

wwh1139.addChild(new Item("Configuring Tools", "tools2.htm#586682"));
wwh1139.addChild(new Item("Adding Tools to the Right-Click Menus", "tools3.htm#587318"));
wwh1139.addChild(new Item("Running External Commands", "tools4.htm#587407"));
var wwh1147=new Folder("Server Mode - Controlling from other Programs", "server.htm#582316");
wwhtop.addChild(wwh1147);

var wwh1149=new Folder("Understand Client", "server2.htm#586660");
wwh1147.addChild(wwh1149);

wwh1149.addChild(new Item("Specifying the Project Database", "server2.htm#589997"));
wwh1149.addChild(new Item("Specifying the Entity", "server2.htm#590034"));
wwh1149.addChild(new Item("Opening a File", "server2.htm#590097"));
wwh1149.addChild(new Item("Action Commands", "server2.htm#590126"));
wwh1149.addChild(new Item("Example Client Commands", "server2.htm#590370"));
wwh1149.addChild(new Item("Communication Method", "server2.htm#590393"));
wwh1149.addChild(new Item("Editor Synchronization Example", "server2.htm#586721"));
var wwh1165=new Folder("Command Line Processing", "command.js#586577");
wwhtop.addChild(wwh1165);

wwh1165.addChild(new Item("Command Line Processing", "command.js#606342"));
var wwh1169=new Folder("Creating and Parsing a Database with undada", "command.js#600955");
wwh1165.addChild(wwh1169);

wwh1169.addChild(new Item("Example: Create an Ada 95 Database", "command.js#601035"));
wwh1169.addChild(new Item("Example: Processing all files in a directory", "command.js#601042"));
wwh1169.addChild(new Item("Example: Creating and Processing a list of files", "command.js#601957"));
wwh1169.addChild(new Item("Example: Creating a database and adding sources all in one-step", "command.js#601907"));
wwh1169.addChild(new Item("Example: Analysis: Refresh vs Rebuild", "command.js#601749"));
wwh1169.addChild(new Item("Example: Keeping a database up to date", "command.js#601988"));
wwh1169.addChild(new Item("Example: Using Libraries to Partition Analysis", "command.js#601071"));
var wwh1185=new Folder("Using an Alternate Standard Library", "command.js#606263");
wwh1165.addChild(wwh1185);

wwh1185.addChild(new Item("Example - Using an alternate Standard Library", "command.js#606273"));
var wwh1189=new Folder("Generating Reports with repada", "command.js#589532");
wwh1165.addChild(wwh1189);

wwh1189.addChild(new Item("The \"repada\" Program", "command.js#597325"));
wwh1189.addChild(new Item("General repada Options", "command.js#602231"));
wwh1189.addChild(new Item("Report Options", "command.js#600432"));
wwh1189.addChild(new Item("Report Format Options", "command.js#600572"));
wwh1189.addChild(new Item("Extensions used by the -separate option", "command.js#600603"));
wwh1189.addChild(new Item("Example - Creating All Reports in an HTML directory", "command.js#600630"));
wwh1189.addChild(new Item("Example - Turning Off A Couple Reports", "command.js#600635"));
wwh1189.addChild(new Item("Generating All Text Reports", "command.js#598696"));
wwh1189.addChild(new Item("Generating All HTML Reports", "command.js#598906"));
wwh1189.addChild(new Item("Generating Metrics Reports", "command.js#598909"));
var wwh1211=new Folder("Graphical Notations", "appasyms.htm#594099");
wwhtop.addChild(wwh1211);

wwh1211.addChild(new Item("Graphical Notations", "appasyms.htm#594101"));
wwh1211.addChild(new Item("General Rules", "appasyms.htm#594186"));

